bap-primus-symbolic-executor

Primus Symbolic Executor

Error log

The package failed to build. The error log from opam follows.

You are using opam 2.1+, where external dependency handling has been integrated: consider calling opam directly, the 'depext' plugin interface is provided for backwards compatibility only
# Detecting depexts using vars: arch=x86_64, os=linux, os-distribution=debian, os-family=debian
[ERROR] No solution for bap-extra.2.5.0 & angstrom.0.15.0 & bap.2.5.0 & bap-abi.2.5.0 & bap-analyze.2.5.0 & bap-api.2.5.0 & bap-arm.2.5.0 & bap-beagle.2.5.0 & bap-beagle-strings.2.5.0 & bap-bil.2.5.0 & bap-build.2.5.0 & bap-bundle.2.5.0 & bap-byteweight.2.5.0 & bap-byteweight-frontend.2.5.0 & bap-c.2.5.0 & bap-cache.2.5.0 & bap-callgraph-collator.2.5.0 & bap-callsites.2.5.0 & bap-constant-tracker.2.5.0 & bap-core.2.5.0 & bap-core-theory.2.5.0 & bap-cxxfilt.2.5.0 & bap-demangle.2.5.0 & bap-dependencies.2.5.0 & bap-disassemble.2.5.0 & bap-dump-symbols.2.5.0 & bap-dwarf.2.5.0 & bap-elementary.2.5.0 & bap-elf.2.5.0 & bap-emacs-dot.0.1 & bap-emacs-goodies.0.1 & bap-emacs-mode.0.1 & bap-flatten.2.5.0 & bap-frontc.2.5.0 & bap-frontend.2.5.0 & bap-future.2.5.0 & bap-ghidra.2.5.0 & bap-glibc-runtime.2.5.0 & bap-knowledge.2.5.0 & bap-llvm.2.5.0 & bap-main.2.5.0 & bap-mc.2.5.0 & bap-microx.2.5.0 & bap-mips.2.5.0 & bap-objdump.2.5.0 & bap-optimization.2.5.0 & bap-patterns.2.5.0 & bap-plugins.2.5.0 & bap-powerpc.2.5.0 & bap-primus.2.5.0 & bap-primus-dictionary.2.5.0 & bap-primus-exploring-scheduler.2.5.0 & bap-primus-greedy-scheduler.2.5.0 & bap-primus-limit.2.5.0 & bap-primus-lisp.2.5.0 & bap-primus-loader.2.5.0 & bap-primus-mark-visited.2.5.0 & bap-primus-powerpc.2.5.0 & bap-primus-print.2.5.0 & bap-primus-promiscuous.2.5.0 & bap-primus-propagate-taint.2.5.0 & bap-primus-random.2.5.0 & bap-primus-region.2.5.0 & bap-primus-round-robin-scheduler.2.5.0 & bap-primus-support.2.5.0 & bap-primus-symbolic-executor.2.5.0 & bap-primus-systems.2.5.0 & bap-primus-taint.2.5.0 & bap-primus-test.2.5.0 & bap-primus-track-visited.2.5.0 & bap-primus-wandering-scheduler.2.5.0 & bap-primus-x86.2.5.0 & bap-print.2.5.0 & bap-radare2.2.5.0 & bap-raw.2.5.0 & bap-recipe.2.5.0 & bap-recipe-command.2.5.0 & bap-relation.2.5.0 & bap-relocatable.2.5.0 & bap-report.2.5.0 & bap-riscv.2.5.0 & bap-run.2.5.0 & bap-signatures.2.5.0 & bap-specification.2.5.0 & bap-ssa.2.5.0 & bap-std.2.5.0 & bap-strings.2.5.0 & bap-stub-resolver.2.5.0 & bap-symbol-reader.2.5.0 & bap-systemz.2.5.0 & bap-taint.2.5.0 & bap-taint-propagator.2.5.0 & bap-term-mapper.2.5.0 & bap-thumb.2.5.0 & bap-toplevel.2.5.0 & bap-trace.2.5.0 & bap-traces.2.5.0 & bap-trivial-condition-form.2.5.0 & bap-warn-unused.2.5.0 & bap-x86.2.5.0 & bare.2.5.0 & base.v0.14.3 & base-bytes.base & base_bigstring.v0.14.0 & base_quickcheck.v0.14.1 & bigarray-compat.1.1.0 & bigstringaf.0.9.0 & bin_prot.v0.14.1 & bitstring.4.1.0 & bitvec.2.5.0 & bitvec-binprot.2.5.0 & bitvec-order.2.5.0 & bitvec-sexp.2.5.0 & camlzip.1.11 & cmdliner.1.1.1 & conf-bap-llvm.1.8 & conf-binutils.0.3 & conf-c++.1.0 & conf-clang.1 & conf-env-travis.1 & conf-gmp.4 & conf-libcurl.2 & conf-m4.1 & conf-perl.2 & conf-pkg-config.2 & conf-python-2-7.1.2 & conf-radare2.0.1 & conf-which.1 & conf-zlib.1 & core_kernel.v0.14.2 & cppo.1.6.9 & csexp.1.5.1 & dune.3.6.1 & dune-configurator.3.6.1 & FrontC.4.1.0 & fieldslib.v0.14.0 & fileutils.0.6.4 & graphlib.2.5.0 & jane-street-headers.v0.14.0 & jst-config.v0.14.1 & lambda-term.3.3.1 & linenoise.1.4.0 & logs.0.7.0 & lwt.5.6.1 & lwt_react.1.2.0 & menhir.20220210 & menhirLib.20220210 & menhirSdk.20220210 & mew.0.1.0 & mew_vi.0.5.0 & mmap.1.2.0 & monads.2.5.0 & num.1.4 & oasis.0.4.11 & ocaml-compiler-libs.v0.12.4 & ocaml-syntax-shims.1.0.0 & ocamlbuild.0.14.2 & ocamlfind.1.9.5 & ocamlgraph.2.0.0 & ocamlify.0.0.1 & ocamlmod.0.0.9 & ocplib-endian.1.2 & octavius.1.2.2 & ocurl.0.9.2 & ogre.2.5.0 & ounit.2.2.6 & ounit2.2.2.6 & parsexp.v0.14.2 & ppx_assert.v0.14.0 & ppx_bap.v0.14.0 & ppx_base.v0.14.0 & ppx_bench.v0.14.1 & ppx_bin_prot.v0.14.0 & ppx_bitstring.4.1.0 & ppx_cold.v0.14.0 & ppx_compare.v0.14.0 & ppx_custom_printf.v0.14.1 & ppx_derivers.1.2.1 & ppx_enumerate.v0.14.0 & ppx_expect.v0.14.2 & ppx_fields_conv.v0.14.2 & ppx_fixed_literal.v0.14.0 & ppx_hash.v0.14.0 & ppx_here.v0.14.0 & ppx_inline_test.v0.14.1 & ppx_jane.v0.14.0 & ppx_js_style.v0.14.1 & ppx_let.v0.14.0 & ppx_module_timer.v0.14.0 & ppx_optcomp.v0.14.3 & ppx_optional.v0.14.0 & ppx_pipebang.v0.14.0 & ppx_sexp_conv.v0.14.3 & ppx_sexp_message.v0.14.1 & ppx_sexp_value.v0.14.0 & ppx_stable.v0.14.1 & ppx_string.v0.14.1 & ppx_typerep_conv.v0.14.2 & ppx_variants_conv.v0.14.2 & ppxlib.0.25.1 & re.1.10.4 & react.1.2.2 & regular.2.5.0 & result.1.5 & seq.base & sexplib.v0.14.0 & sexplib0.v0.14.0 & splittable_random.v0.14.0 & stdio.v0.14.0 & stdlib-shims.0.3.0 & stringext.1.6.0 & text-tags.2.5.0 & time_now.v0.14.0 & topkg.1.0.6 & trie.1.0.0 & typerep.v0.14.0 & uchar.0.0.2 & uri.4.2.0 & utop.2.10.0 & uucp.15.0.0 & uuidm.0.9.8 & uuseg.15.0.0 & uutf.1.0.3 & variantslib.v0.14.0 & xmlm.1.4.0 & yojson.2.0.2 & z3.4.8.11 & zarith.1.12 & zed.3.2.1:   * Missing dependency:
            - conf-radare2
            depends on the unavailable system package 'radare2'. Use `--no-depexts' to attempt installation anyway, or it is possible that a depext package name in the opam file is incorrect.


Command failed: opam --cli=2.1 list --readonly --external '--resolve=bap-extra.2.5.0,angstrom.0.15.0,bap.2.5.0,bap-abi.2.5.0,bap-analyze.2.5.0,bap-api.2.5.0,bap-arm.2.5.0,bap-beagle.2.5.0,bap-beagle-strings.2.5.0,bap-bil.2.5.0,bap-build.2.5.0,bap-bundle.2.5.0,bap-byteweight.2.5.0,bap-byteweight-frontend.2.5.0,bap-c.2.5.0,bap-cache.2.5.0,bap-callgraph-collator.2.5.0,bap-callsites.2.5.0,bap-constant-tracker.2.5.0,bap-core.2.5.0,bap-core-theory.2.5.0,bap-cxxfilt.2.5.0,bap-demangle.2.5.0,bap-dependencies.2.5.0,bap-disassemble.2.5.0,bap-dump-symbols.2.5.0,bap-dwarf.2.5.0,bap-elementary.2.5.0,bap-elf.2.5.0,bap-emacs-dot.0.1,bap-emacs-goodies.0.1,bap-emacs-mode.0.1,bap-flatten.2.5.0,bap-frontc.2.5.0,bap-frontend.2.5.0,bap-future.2.5.0,bap-ghidra.2.5.0,bap-glibc-runtime.2.5.0,bap-knowledge.2.5.0,bap-llvm.2.5.0,bap-main.2.5.0,bap-mc.2.5.0,bap-microx.2.5.0,bap-mips.2.5.0,bap-objdump.2.5.0,bap-optimization.2.5.0,bap-patterns.2.5.0,bap-plugins.2.5.0,bap-powerpc.2.5.0,bap-primus.2.5.0,bap-primus-dictionary.2.5.0,bap-primus-exploring-scheduler.2.5.0,bap-primus-greedy-scheduler.2.5.0,bap-primus-limit.2.5.0,bap-primus-lisp.2.5.0,bap-primus-loader.2.5.0,bap-primus-mark-visited.2.5.0,bap-primus-powerpc.2.5.0,bap-primus-print.2.5.0,bap-primus-promiscuous.2.5.0,bap-primus-propagate-taint.2.5.0,bap-primus-random.2.5.0,bap-primus-region.2.5.0,bap-primus-round-robin-scheduler.2.5.0,bap-primus-support.2.5.0,bap-primus-symbolic-executor.2.5.0,bap-primus-systems.2.5.0,bap-primus-taint.2.5.0,bap-primus-test.2.5.0,bap-primus-track-visited.2.5.0,bap-primus-wandering-scheduler.2.5.0,bap-primus-x86.2.5.0,bap-print.2.5.0,bap-radare2.2.5.0,bap-raw.2.5.0,bap-recipe.2.5.0,bap-recipe-command.2.5.0,bap-relation.2.5.0,bap-relocatable.2.5.0,bap-report.2.5.0,bap-riscv.2.5.0,bap-run.2.5.0,bap-signatures.2.5.0,bap-specification.2.5.0,bap-ssa.2.5.0,bap-std.2.5.0,bap-strings.2.5.0,bap-stub-resolver.2.5.0,bap-symbol-reader.2.5.0,bap-systemz.2.5.0,bap-taint.2.5.0,bap-taint-propagator.2.5.0,bap-term-mapper.2.5.0,bap-thumb.2.5.0,bap-toplevel.2.5.0,bap-trace.2.5.0,bap-traces.2.5.0,bap-trivial-condition-form.2.5.0,bap-warn-unused.2.5.0,bap-x86.2.5.0,bare.2.5.0,base.v0.14.3,base-bytes.base,base_bigstring.v0.14.0,base_quickcheck.v0.14.1,bigarray-compat.1.1.0,bigstringaf.0.9.0,bin_prot.v0.14.1,bitstring.4.1.0,bitvec.2.5.0,bitvec-binprot.2.5.0,bitvec-order.2.5.0,bitvec-sexp.2.5.0,camlzip.1.11,cmdliner.1.1.1,conf-bap-llvm.1.8,conf-binutils.0.3,conf-c++.1.0,conf-clang.1,conf-env-travis.1,conf-gmp.4,conf-libcurl.2,conf-m4.1,conf-perl.2,conf-pkg-config.2,conf-python-2-7.1.2,conf-radare2.0.1,conf-which.1,conf-zlib.1,core_kernel.v0.14.2,cppo.1.6.9,csexp.1.5.1,dune.3.6.1,dune-configurator.3.6.1,FrontC.4.1.0,fieldslib.v0.14.0,fileutils.0.6.4,graphlib.2.5.0,jane-street-headers.v0.14.0,jst-config.v0.14.1,lambda-term.3.3.1,linenoise.1.4.0,logs.0.7.0,lwt.5.6.1,lwt_react.1.2.0,menhir.20220210,menhirLib.20220210,menhirSdk.20220210,mew.0.1.0,mew_vi.0.5.0,mmap.1.2.0,monads.2.5.0,num.1.4,oasis.0.4.11,ocaml-compiler-libs.v0.12.4,ocaml-syntax-shims.1.0.0,ocamlbuild.0.14.2,ocamlfind.1.9.5,ocamlgraph.2.0.0,ocamlify.0.0.1,ocamlmod.0.0.9,ocplib-endian.1.2,octavius.1.2.2,ocurl.0.9.2,ogre.2.5.0,ounit.2.2.6,ounit2.2.2.6,parsexp.v0.14.2,ppx_assert.v0.14.0,ppx_bap.v0.14.0,ppx_base.v0.14.0,ppx_bench.v0.14.1,ppx_bin_prot.v0.14.0,ppx_bitstring.4.1.0,ppx_cold.v0.14.0,ppx_compare.v0.14.0,ppx_custom_printf.v0.14.1,ppx_derivers.1.2.1,ppx_enumerate.v0.14.0,ppx_expect.v0.14.2,ppx_fields_conv.v0.14.2,ppx_fixed_literal.v0.14.0,ppx_hash.v0.14.0,ppx_here.v0.14.0,ppx_inline_test.v0.14.1,ppx_jane.v0.14.0,ppx_js_style.v0.14.1,ppx_let.v0.14.0,ppx_module_timer.v0.14.0,ppx_optcomp.v0.14.3,ppx_optional.v0.14.0,ppx_pipebang.v0.14.0,ppx_sexp_conv.v0.14.3,ppx_sexp_message.v0.14.1,ppx_sexp_value.v0.14.0,ppx_stable.v0.14.1,ppx_string.v0.14.1,ppx_typerep_conv.v0.14.2,ppx_variants_conv.v0.14.2,ppxlib.0.25.1,re.1.10.4,react.1.2.2,regular.2.5.0,result.1.5,seq.base,sexplib.v0.14.0,sexplib0.v0.14.0,splittable_random.v0.14.0,stdio.v0.14.0,stdlib-shims.0.3.0,stringext.1.6.0,text-tags.2.5.0,time_now.v0.14.0,topkg.1.0.6,trie.1.0.0,typerep.v0.14.0,uchar.0.0.2,uri.4.2.0,utop.2.10.0,uucp.15.0.0,uuidm.0.9.8,uuseg.15.0.0,uutf.1.0.3,variantslib.v0.14.0,xmlm.1.4.0,yojson.2.0.2,z3.4.8.11,zarith.1.12,zed.3.2.1' returned 20